%define date 20110428
%define git 3b0f416

Name:		libfreenect
Version:	0.0.1
Release:	0.1.%{date}git%{git}%{?dist}
Summary:	Library for accessing the Microsoft Kinect USB camera

Group:		System Environment/Libraries
License:	ASL 2.0 and GPLv2
URL:		https://github.com/OpenKinect/libfreenect
Source0:	OpenKinect-libfreenect-%{git}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libusb1-devel
BuildRequires:	cmake
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	freeglut-devel

%description
libfreenect is the core library for accessing the Microsoft Kinect 
USB camera. Currently, the library supports access to:

- RGB and Depth Images
- Motor
- Accelerometer
- LED

Audio is currently being worked on.

%package devel
Summary:	Development libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains header files necessary for
developing programs using the %{name} library.

%prep
%setup -qn OpenKinect-libfreenect-%{git}
chmod -x wrappers/cpp/cppview.cpp

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/fakenect
%{_libdir}/fakenect/*.so.*
%doc APACHE20 CONTRIB GPL2 HACKING README.asciidoc 

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/%{name}
%{_includedir}/*.hpp
%{_libdir}/fakenect/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Apr 29 2011 F. Kooman - 0.0.1-0.1.20110428git3b0f416
- initial package
